<?xml version="1.0" encoding="UTF-8"?>
<sequence name="R12_EBAY_Refund_Response_Seq" trace="disable"
	xmlns="http://ws.apache.org/ns/synapse">
	<log level="full">
		<property name="R12_EBAY_Refund_Response_Seq" value="Insert EBay Refund Response data in R12 #######"></property>
		<property expression="get-property('PARTNER_TRX_NUM')"	name="PARTNER_TRX_NUM ######" />
	</log>
	<property name="Refund_status" expression="json-eval($.data[0].success)"/>
	<filter source="get-property('Refund_status')" regex="true" >
	<then>
	<property name="Refund_status" value="SUCCESS"/>
	</then>
	<else>
	<property name="Refund_status" value="FAILED"/>
	</else>
	</filter>
	<payloadFactory media-type="xml">
		<format>
			<p:_postinsertebayrefundstatus xmlns:p="http://ws.wso2.org/dataservice">
				<p:PARTNER_TRX_NUM>$1</p:PARTNER_TRX_NUM>
				<p:PARTNER_TRX_REFUND_NUM>$2</p:PARTNER_TRX_REFUND_NUM>
				<p:BATCH_NO>$3</p:BATCH_NO>
				<p:REFUND_STATUS>$4</p:REFUND_STATUS>
				<p:TRX_AMOUNT>$5</p:TRX_AMOUNT>
				<p:PARTNER_REF_ID>$2</p:PARTNER_REF_ID>
			</p:_postinsertebayrefundstatus>
		</format>
		<args>
			<arg evaluator="json" expression="json-eval($.data[0].partnerTransactionNumber)" />
			<arg evaluator="json" expression="json-eval($.data[0].transactionReferenceId)" />
			<arg evaluator="xml" expression="get-property('BATCH_NO_WM')" />
			<arg evaluator="xml" expression="get-property('Refund_status')" />
			<arg evaluator="json" expression="json-eval($.data[0].transactionAmount)" />
		</args>
	</payloadFactory>
	<property name="messageType" scope="axis2" type="STRING" value="application/xml" />
	<property name="ContentType" scope="axis2" type="STRING" value="application/xml" />
	<call>
		<endpoint key="gov:/motorola/Payments/EBay/EBay_R12_dss" />
	</call>
	<filter source="get-property('axis2','HTTP_SC')" regex="202||200">
		<then>
			<log level="full">
				<property expression="get-property('axis2','HTTP_SC')"
					name="R12_EBAY_Refund_Response_Seq ---> Response code from R12 DSS : " />
				<property expression="get-property('PARTNER_TRX_NUM')"
					name="Successfully inserted the refund response data into R12 for PARTNER_TRX_NUM ######" />
			</log>
		</then>
		<else>
			<log level="full">
				<property expression="get-property('axis2','HTTP_SC')"
					name="R12_EBAY_Refund_Response_Seq ---> Response code from R12 DSS : " />
				<property expression="get-property('PARTNER_TRX_NUM')"
					name="Error while inserting the refund response data into R12 for PARTNER_TRX_NUM ######: " />
			</log>
		</else>
	</filter>
</sequence>
